"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var grpc = require("grpc");
function getDeadlineInterceptor(timeoutInMS) {
    return function globalDeadline(options, nextCall) {
        if (!options.deadline) {
            options.deadline = Date.now() + timeoutInMS;
        }
        return new grpc.InterceptingCall(nextCall(options));
    };
}
exports.getDeadlineInterceptor = getDeadlineInterceptor;
//# sourceMappingURL=interceptor.js.map